﻿Public Class index
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'ポストバックのときは処理しない
        If Me.IsPostBack Then
            Return
        End If

        '項目を追加する
        Me.lstFruits.Items.Add("りんご")
        Me.lstFruits.Items.Add("みかん")
        Me.lstFruits.Items.Add("もも")
        Me.lstFruits.Items.Add("なし")
    End Sub

    Protected Sub btnChange_Click(sender As Object, e As EventArgs) Handles btnChange.Click
        '選択をクリアにする
        Me.lstFruits.ClearSelection()

        '選択方法を切り替える
        If Me.lstFruits.SelectionMode = ListSelectionMode.Single Then
            Me.lstFruits.SelectionMode = ListSelectionMode.Multiple
            Me.btnChange.Text = "単一選択に切り替え"
        Else
            Me.lstFruits.SelectionMode = ListSelectionMode.Single
            Me.btnChange.Text = "複数選択に切り替え"
        End If
    End Sub

    Protected Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        'ラベルの表示内容をクリア
        Me.lblMessage.Text = String.Empty

        '選択されている場合は内容を表示
        If Me.lstFruits.SelectedIndex > -1 Then
            '項目ごとに選択されているかをチェック
            For Each li As ListItem In Me.lstFruits.Items
                If li.Selected Then
                    Me.lblMessage.Text &= li.Text & " "
                End If
            Next
        Else
            '選択されていない場合はメッセージを表示
            Me.lblMessage.Text = "項目が選択されていません。"
        End If
    End Sub
End Class